GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Enumerations | Functions
sync.c File Reference
`#include <grpc/support/log.h>`
`#include <grpc/support/sync.h>`
`#include <grpc/support/atm.h>`

## Data Structures
struct | sync_array_s

## Enumerations
enum | { event_sync_partitions = 31 }

## Functions
void | gpr_event_init (gpr_event *ev)
void | gpr_event_set (gpr_event *ev, void *value)
void * | gpr_event_get (gpr_event *ev)
void * | gpr_event_wait (gpr_event *ev, gpr_timespec abs_deadline)
void * | gpr_event_cancellable_wait (gpr_event *ev, gpr_timespec abs_deadline, gpr_cancellable *c)
void | gpr_ref_init (gpr_refcount *r, int n)
void | gpr_ref (gpr_refcount *r)
void | gpr_refn (gpr_refcount *r, int n)
int | gpr_unref (gpr_refcount *r)
void | gpr_stats_init (gpr_stats_counter *c, gpr_intptr n)
void | gpr_stats_inc (gpr_stats_counter *c, gpr_intptr inc)
gpr_intptr | gpr_stats_read (const gpr_stats_counter *c)

## Enumeration Type Documentation

anonymous enum

Enumerator
event_sync_partitions |

## Function Documentation

void* gpr_event_cancellable_wait | ( | gpr_event * | ev,
|  | gpr_timespec | abs_deadline,
|  | gpr_cancellable * | c
| ) |  |

void* gpr_event_get | ( | gpr_event * | ev | ) |

void gpr_event_init | ( | gpr_event * | ev | ) |

void gpr_event_set | ( | gpr_event * | ev,
|  | void * | value
| ) |  |

void* gpr_event_wait | ( | gpr_event * | ev,
|  | gpr_timespec | abs_deadline
| ) |  |

void gpr_ref | ( | gpr_refcount * | r | ) |

void gpr_ref_init | ( | gpr_refcount * | r,
|  | int | n
| ) |  |

void gpr_refn | ( | gpr_refcount * | r,
|  | int | n
| ) |  |

void gpr_stats_inc | ( | gpr_stats_counter * | c,
|  | gpr_intptr | inc
| ) |  |

void gpr_stats_init | ( | gpr_stats_counter * | c,
|  | gpr_intptr | n
| ) |  |

gpr_intptr gpr_stats_read | ( | const gpr_stats_counter * | c | ) |

int gpr_unref | ( | gpr_refcount * | r | ) |